Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.event
Interface GraphicListener

All Superinterfaces:
  EventListener

    public interface GraphicListener

extends EventListener

Allows a program to listen to a `Graphic` for certain mouse and state events. Note that a `Graphic` is editable when it can be modified by a user via the display GUI (generally by clicking on graphic editing handles).

Method Summary
`void` | `graphicChanged(GraphicChangeEvent ge)` Invoked when a `Graphic` changes in any way, other than editing.
`void` | `graphicDeselected(GraphicChangeEvent ge)` Invoked when a `Graphic` is deselected, either programmatically or through a mouse gesture.
`void` | `graphicDisposed(GraphicChangeEvent ge)` Invoked when a `Graphic` is disposed.
`void` | `graphicEditableChanged(GraphicChangeEvent ge)` Invoked when a `Graphic` is edited by a gui user.
`void` | `graphicEditableEnd(GraphicChangeEvent ge)` Invoked when a `Graphic` is no longer in an editable state.
`void` | `graphicEditableStart(GraphicChangeEvent ge)` Invoked when a `Graphic` is put into an editable state.
`void` | `graphicSelected(GraphicChangeEvent ge)` Invoked when a `Graphic` is selected, either programmatically or through a mouse gesture.
`void` | `mouseClicked(GraphicMouseEvent ge)` Invoked when the mouse has been clicked on a `Graphic`.
`void` | `mouseDwelled(GraphicMouseEvent ge)` Invoked when the mouse dwells on a `Graphic`.
`void` | `mousePressed(GraphicMouseEvent ge)` Invoked when a mouse button has been pressed on a `Graphic`.
`void` | `mouseReleased(GraphicMouseEvent ge)` Invoked when a mouse button has been released on a `Graphic`.

Method Detail

### mouseClicked

    void mouseClicked(GraphicMouseEvent ge)

  Invoked when the mouse has been clicked on a `Graphic`.

### mousePressed

    void mousePressed(GraphicMouseEvent ge)

  Invoked when a mouse button has been pressed on a `Graphic`.

### mouseReleased

    void mouseReleased(GraphicMouseEvent ge)

  Invoked when a mouse button has been released on a `Graphic`.

### mouseDwelled

    void mouseDwelled(GraphicMouseEvent ge)

  Invoked when the mouse dwells on a `Graphic`. Dwelling occurs after a `mouseEntered` event transpires and only after `mouseMoved` events have ceased for an arbitrary length of time.

### graphicSelected

    void graphicSelected(GraphicChangeEvent ge)

  Invoked when a `Graphic` is selected, either programmatically or through a mouse gesture.

### graphicDeselected

    void graphicDeselected(GraphicChangeEvent ge)

  Invoked when a `Graphic` is deselected, either programmatically or through a mouse gesture.

### graphicDisposed

    void graphicDisposed(GraphicChangeEvent ge)

  Invoked when a `Graphic` is disposed.

### graphicEditableStart

    void graphicEditableStart(GraphicChangeEvent ge)

  Invoked when a `Graphic` is put into an editable state.

### graphicEditableChanged

    void graphicEditableChanged(GraphicChangeEvent ge)

  Invoked when a `Graphic` is edited by a gui user.

### graphicEditableEnd

    void graphicEditableEnd(GraphicChangeEvent ge)

  Invoked when a `Graphic` is no longer in an editable state.

### graphicChanged

    void graphicChanged(GraphicChangeEvent ge)

  Invoked when a `Graphic` changes in any way, other than editing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.